# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name cipher-aes

%global common_summary Fast AES cipher implementation with advanced mode of operations

%global common_description Fast AES cipher implementation with advanced mode of operations.\
\
The modes of operations available are ECB (Electronic code book),\
CBC (Cipher block chaining), CTR (Counter), XTS (XEX with ciphertext stealing),\
GCM (Galois Counter Mode).\
\
The AES implementation uses AES-NI when available (on x86 and x86-64 architecture),\
but fallback gracefully to a software C implementation.\
\
The software implementation uses S-Boxes, which might suffer for cache timing issues.\
However do notes that most other known software implementations, including very popular\
one (openssl, gnutls) also uses same implementation. If it matters for your\
case, you should make sure you have AES-NI available, or you'll need to use a different\
implementation.

Name:           ghc-%{pkg_name}
Version:        0.1.7
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Mar 20 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.7.0
